gnu.trove

## Class THashMap.KeyView

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - gnu.trove.THashMap.KeyView

All Implemented Interfaces:
  java.lang.Iterable<K>, java.util.Collection<K>, java.util.Set<K>

Enclosing class:
  THashMap<K,V>

    protected class THashMap.KeyView
    extends java.util.AbstractSet<E>

a view onto the keys of the map.

### Constructor Summary

Constructors
`protected` `THashMap.KeyView()`

### Method Summary

Methods
`boolean` `containsElement(K key)`
`java.util.Iterator<K>` `iterator()`
`boolean` `removeElement(K key)`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`equals, hashCode, removeAll`

### Constructor Detail

#### THashMap.KeyView

    protected THashMap.KeyView()

### Method Detail

#### iterator

    public java.util.Iterator<K> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<K>`
Specified by:
  `iterator` in interface `java.util.Collection<K>`
Specified by:
  `iterator` in interface `java.util.Set<K>`

#### removeElement

    public boolean removeElement(K key)

#### containsElement

    public boolean containsElement(K key)